DescribeCidrs

1. API Description

This API (DescribeCidrs) is used to query the information of one or more specified CIDR blocks. Users can search for CIDR block information based on CIDR block ID, CIDR block name, etc.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

cidrIds

No

Array of String

CIDR block ID(s).

regionId

No

String

Region ID.

name

No

String

CIDR block name.

Fuzzy search supported.

cidrBlock

No

String

CIDR IP range.

Fuzzy search supported.

source

No

IP type. IP leasing or BYOIP.

resourceGroupId

No

String

Resource Group ID.

pageSize

No

Integer

Number of items in the current page result.

Default value: 20;

Value range: [1, 1000]

pageNum

No

Integer

Number of pages returned.

Default value: 1.

Value range: [1, +)

Default value: 1

tagKeys

No

Array of String

Query using tag keys.

A maximum of 20 tag keys can be used.

tags

No

Array of Tag

Query using tags.

A maximum of 20 tags can be used.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

totalCount

Integer

Number of CIDR blocks meeting the filtering conditions.

dataSet

Array of CidrInfo

Information on CIDR blocks.

4. Code Example

Query CIDR block list with IP range of 10.0.0.0/24.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated